Name: 		thunar-archive-plugin
Summary:        Adds archive operations to the Thunar file context menus
Version:        0.3.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/thunar-plugins/%{name}

Source0: 	http://archive.xfce.org/src/thunar-plugins/%{name}/0.3/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  Thunar-devel >= 0.4.0
BuildRequires:  libexo-devel >= 0.5.0
BuildRequires:  libxfce4util-devel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The thunar-archive-plugin is a plugin for the Thunar File Manager, which
adds archive operations to the file context menus. Using this plugin you
will be able to extract and create archive files from within Thunar using
a single click.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/thunarx-2/%{name}.so
%{_libexecdir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-1
- initial build for Vine Linux

